赞助商

Electron 版本管理

发布时间:2019-04-15 发布网站:脚本之家
脚本之家收集整理的这篇文章主要介绍了Electron 版本管理脚本之家小编觉得挺不错的,现在分享给大家,也给大家做个参考。

如果你是一个经验丰富的Node开发人员,你肯定知道semver - 然而这里给你的依赖管理系统可能只有粗略的指导建议而不是固定的版本号。由于对 Node 和 Chromium 的硬性依赖,Electron 处于一个稍微复杂的境地,而且不遵循semver。因此,您应该始终引用特定版本的Electron。

版本号使用参照以下规则:

  • 主要版本: 适用于 Electron API 的突破性变更 - 如果您从 0.37.0 升级到 1.0.0, 您将需要升级您的应用程序。

  • 次要版本: 适用于 Chrome 主要版本 和 Node 次要版本升级; 或重大的 Electron 变动 - 如果您从 0.37.0 升级到 1.0.0, 您的应用程序仍然可以正常运行, 但你可能需要解决一些小幅的变动。

  • 补丁版本: 适用于新功能的添加和 bug 修复 - 如果您从 0.37.0 升级到 1.0.0, 你的应用程序仍然像之前一样正常运行。

如果你使用 electron 或 electron-prebuilt,我们建议您设置固定的版本号(如 1.1.0 而不是 ^1.1.0),以确保Electron的所有升级都是由您(开发人员)进行的手动操作。


总结

以上是脚本之家为你收集整理的Electron 版本管理全部内容,希望文章能够帮你解决Electron 版本管理所遇到的程序开发问题。

如果觉得脚本之家网站内容还不错,欢迎将脚本之家网站推荐给程序员好友。

本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。
如您有任何意见或建议可联系处理。小编QQ:76874919,请注明来意。